Get organization security finding detail
import requests
url = "https://platform.ankra.app/org/security/findings/{finding_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/findings/{finding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/findings/{finding_id} \
--header 'Authorization: Bearer <token>'{
"finding": {
"affected_clusters": 123,
"affected_workloads": 123,
"cve_id": "<string>",
"disposition_counts": {
"accepted_risk": 123,
"acknowledged": 123,
"open": 123,
"resolved": 123
},
"first_seen_at": "2023-11-07T05:31:56Z",
"fixable_occurrences": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_seen_at": "2023-11-07T05:31:56Z",
"occurrences": 123,
"package_name": "<string>",
"package_type": "<string>",
"primary_link": "<string>",
"provider": "<string>",
"score": 123,
"severity": "<string>",
"title": "<string>"
},
"matching_policies": [
{
"active_match_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"expire_when_fix_available": true,
"expires_at": "2023-11-07T05:31:56Z",
"fix_available_match_count": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_evaluated_at": "2023-11-07T05:31:56Z",
"last_matched_at": "2023-11-07T05:31:56Z",
"match_health": "<string>",
"matched_occurrence_count": 123,
"reason": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"revoked_by": "<string>",
"revoked_reason": "<string>",
"selector": {
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"addon_slug": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cve_id": "<string>",
"explicit_broad": true,
"image_digest": "<string>",
"package_name": "<string>",
"package_type": "<string>",
"workload_kind": "<string>",
"workload_name": "<string>",
"workload_namespace": "<string>"
},
"selector_hash": "<string>",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}
],
"occurrences": [
{
"addon_attribution_confidence": "<string>",
"addon_attribution_reason": "<string>",
"addon_slug": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"container_name": "<string>",
"effective_disposition": "<string>",
"effective_policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_seen_at": "2023-11-07T05:31:56Z",
"fixed_version": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_digest": "<string>",
"image_ref": "<string>",
"installed_version": "<string>",
"last_evaluated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"report_name": "<string>",
"report_namespace": "<string>",
"report_scope": "<string>",
"report_uid": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"scan_state": "<string>",
"workload_kind": "<string>",
"workload_name": "<string>",
"workload_namespace": "<string>",
"workload_uid": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
Get organization security finding detail
GET
/
org
/
security
/
findings
/
{finding_id}
Get organization security finding detail
import requests
url = "https://platform.ankra.app/org/security/findings/{finding_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/findings/{finding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/findings/{finding_id} \
--header 'Authorization: Bearer <token>'{
"finding": {
"affected_clusters": 123,
"affected_workloads": 123,
"cve_id": "<string>",
"disposition_counts": {
"accepted_risk": 123,
"acknowledged": 123,
"open": 123,
"resolved": 123
},
"first_seen_at": "2023-11-07T05:31:56Z",
"fixable_occurrences": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_seen_at": "2023-11-07T05:31:56Z",
"occurrences": 123,
"package_name": "<string>",
"package_type": "<string>",
"primary_link": "<string>",
"provider": "<string>",
"score": 123,
"severity": "<string>",
"title": "<string>"
},
"matching_policies": [
{
"active_match_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"expire_when_fix_available": true,
"expires_at": "2023-11-07T05:31:56Z",
"fix_available_match_count": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_evaluated_at": "2023-11-07T05:31:56Z",
"last_matched_at": "2023-11-07T05:31:56Z",
"match_health": "<string>",
"matched_occurrence_count": 123,
"reason": "<string>",
"revoked_at": "2023-11-07T05:31:56Z",
"revoked_by": "<string>",
"revoked_reason": "<string>",
"selector": {
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"addon_slug": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cve_id": "<string>",
"explicit_broad": true,
"image_digest": "<string>",
"package_name": "<string>",
"package_type": "<string>",
"workload_kind": "<string>",
"workload_name": "<string>",
"workload_namespace": "<string>"
},
"selector_hash": "<string>",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}
],
"occurrences": [
{
"addon_attribution_confidence": "<string>",
"addon_attribution_reason": "<string>",
"addon_slug": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"container_name": "<string>",
"effective_disposition": "<string>",
"effective_policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_seen_at": "2023-11-07T05:31:56Z",
"fixed_version": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_digest": "<string>",
"image_ref": "<string>",
"installed_version": "<string>",
"last_evaluated_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"report_name": "<string>",
"report_namespace": "<string>",
"report_scope": "<string>",
"report_uid": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"scan_state": "<string>",
"workload_kind": "<string>",
"workload_name": "<string>",
"workload_namespace": "<string>",
"workload_uid": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I